Add registry credential
curl --request POST \
--url https://api.aireserve.com/v1/gpu/registries \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"name": "My private registry",
"registryUrl": "registry.example.com",
"username": "ci-user",
"password": "***"
}
'import requests
url = "https://api.aireserve.com/v1/gpu/registries"
payload = {
"name": "My private registry",
"registryUrl": "registry.example.com",
"username": "ci-user",
"password": "***"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'My private registry',
registryUrl: 'registry.example.com',
username: 'ci-user',
password: '***'
})
};
fetch('https://api.aireserve.com/v1/gpu/registries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"accepted": true,
"resourceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"operationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "accepted",
"resourceType": "pod"
}GPU Compute
Add registry credential
Save an encrypted registry credential. The password is encrypted at rest and never echoed back. Returns 202 Accepted. Requires compute manage access. Idempotency-Key header is required.
POST
/
v1
/
gpu
/
registries
Add registry credential
curl --request POST \
--url https://api.aireserve.com/v1/gpu/registries \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"name": "My private registry",
"registryUrl": "registry.example.com",
"username": "ci-user",
"password": "***"
}
'import requests
url = "https://api.aireserve.com/v1/gpu/registries"
payload = {
"name": "My private registry",
"registryUrl": "registry.example.com",
"username": "ci-user",
"password": "***"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'My private registry',
registryUrl: 'registry.example.com',
username: 'ci-user',
password: '***'
})
};
fetch('https://api.aireserve.com/v1/gpu/registries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"accepted": true,
"resourceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"operationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "accepted",
"resourceType": "pod"
}Authorizations
Your AI Reserve API key (aireserve_api_…) from the API Keys page in the portal (https://portal.aireserve.com/keys).
Headers
Body
application/json
Response
Credential saved.
Response to a 202 Accepted Compute mutation. All fields are camelCase. Use operationId to poll GET /v1/gpu/operations/{id} for terminal status.
Available options:
true ID of the resource created or mutated.
ID for the durable operation record. Poll GET /v1/gpu/operations/{id} for terminal status.
Available options:
accepted, pending Available options:
pod, volume, template, registry, ssh_key